Package oasis.names.tc.dss._1_0.core.schema

# Class AdditionalTimeInfo

java.lang.Object
oasis.names.tc.dss._1_0.core.schema.AdditionalTimeInfo

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class AdditionalTimeInfo extends Object implements Serializable

Java class for AdditionalTimeInfoType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AdditionalTimeInfoType">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>dateTime">
           <attribute name="Type" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="Ref" type="{http://www.w3.org/2001/XMLSchema}string" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AdditionalTimeInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getRef()`
  Gets the value of the ref property.
  `String`
  `getType()`
  Gets the value of the type property.
  `Instant`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setRef(String value)`
  Sets the value of the ref property.
  `void`
  `setType(String value)`
  Sets the value of the type property.
  `void`
  `setValue(Instant value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AdditionalTimeInfo

    public AdditionalTimeInfo()

- ## Method Details

  - ### getValue

    public Instant getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(Instant value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`

  - ### getType

    public String getType()
    Gets the value of the type property.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`

  - ### getRef

    public String getRef()
    Gets the value of the ref property.
    Returns:
      possible object is `String`

  - ### setRef

    public void setRef(String value)
    Sets the value of the ref property.
    Parameters:
      `value` - allowed object is `String`